import { FormatterOptions } from './types.js';
/**
 * Parses a SQL string into an AST.
 */
export declare function Parse(sql: string): ParseReturnValues;
interface ParseReturnValues {
    data: object | null;
    error: null | Error;
}
/**
 * Deparses an AST into SQL string.
 */
export declare function Deparse(parsedSql: object): DeparseReturnValues;
interface DeparseReturnValues {
    data: string | null;
    error: null | Error;
}
/**
 * Formats a SQL string into a prettier-formatted SQL string.
 */
export declare function Format(sql: string, options?: FormatterOptions): Promise<FormatReturnValues>;
interface FormatReturnValues {
    data: string | null;
    error: null | Error;
}
export {};
//# sourceMappingURL=Parser.d.ts.map