import * as Parser from './Parser.js';
import PostgresMetaColumnPrivileges from './PostgresMetaColumnPrivileges.js';
import PostgresMetaColumns from './PostgresMetaColumns.js';
import PostgresMetaConfig from './PostgresMetaConfig.js';
import PostgresMetaExtensions from './PostgresMetaExtensions.js';
import PostgresMetaForeignTables from './PostgresMetaForeignTables.js';
import PostgresMetaFunctions from './PostgresMetaFunctions.js';
import PostgresMetaIndexes from './PostgresMetaIndexes.js';
import PostgresMetaMaterializedViews from './PostgresMetaMaterializedViews.js';
import PostgresMetaPolicies from './PostgresMetaPolicies.js';
import PostgresMetaPublications from './PostgresMetaPublications.js';
import PostgresMetaRelationships from './PostgresMetaRelationships.js';
import PostgresMetaRoles from './PostgresMetaRoles.js';
import PostgresMetaSchemas from './PostgresMetaSchemas.js';
import PostgresMetaTablePrivileges from './PostgresMetaTablePrivileges.js';
import PostgresMetaTables from './PostgresMetaTables.js';
import PostgresMetaTriggers from './PostgresMetaTriggers.js';
import PostgresMetaTypes from './PostgresMetaTypes.js';
import PostgresMetaVersion from './PostgresMetaVersion.js';
import PostgresMetaViews from './PostgresMetaViews.js';
import { PostgresMetaResult, PoolConfig } from './types.js';
export default class PostgresMeta {
    query: (sql: string, opts?: {
        statementQueryTimeout?: number;
        trackQueryInSentry?: boolean;
    }) => Promise<PostgresMetaResult<any>>;
    end: () => Promise<void>;
    columnPrivileges: PostgresMetaColumnPrivileges;
    columns: PostgresMetaColumns;
    config: PostgresMetaConfig;
    extensions: PostgresMetaExtensions;
    foreignTables: PostgresMetaForeignTables;
    functions: PostgresMetaFunctions;
    indexes: PostgresMetaIndexes;
    materializedViews: PostgresMetaMaterializedViews;
    policies: PostgresMetaPolicies;
    publications: PostgresMetaPublications;
    relationships: PostgresMetaRelationships;
    roles: PostgresMetaRoles;
    schemas: PostgresMetaSchemas;
    tablePrivileges: PostgresMetaTablePrivileges;
    tables: PostgresMetaTables;
    triggers: PostgresMetaTriggers;
    types: PostgresMetaTypes;
    version: PostgresMetaVersion;
    views: PostgresMetaViews;
    parse: typeof Parser.Parse;
    deparse: typeof Parser.Deparse;
    format: typeof Parser.Format;
    constructor(config: PoolConfig);
}
//# sourceMappingURL=PostgresMeta.d.ts.map