import PostgresMeta from './PostgresMeta.js';
import { PostgresColumn, PostgresForeignTable, PostgresFunction, PostgresMaterializedView, PostgresMetaResult, PostgresRelationship, PostgresSchema, PostgresTable, PostgresType, PostgresView } from './types.js';
export type GeneratorMetadata = {
    schemas: PostgresSchema[];
    tables: Omit<PostgresTable, 'columns'>[];
    foreignTables: Omit<PostgresForeignTable, 'columns'>[];
    views: Omit<PostgresView, 'columns'>[];
    materializedViews: Omit<PostgresMaterializedView, 'columns'>[];
    columns: PostgresColumn[];
    relationships: PostgresRelationship[];
    functions: PostgresFunction[];
    types: PostgresType[];
};
export declare function getGeneratorMetadata(pgMeta: PostgresMeta, filters?: {
    includedSchemas?: string[];
    excludedSchemas?: string[];
}): Promise<PostgresMetaResult<GeneratorMetadata>>;
//# sourceMappingURL=generators.d.ts.map