import { literal } from 'pg-format';
export const coalesceRowsToArray = (source, filter) => {
    return `
COALESCE(
  (
    SELECT
      array_agg(row_to_json(${source})) FILTER (WHERE ${filter})
    FROM
      ${source}
  ),
  '{}'
) AS ${source}`;
};
export const filterByList = (include, exclude, defaultExclude) => {
    if (defaultExclude) {
        exclude = defaultExclude.concat(exclude ?? []);
    }
    if (include?.length) {
        return `IN (${include.map(literal).join(',')})`;
    }
    else if (exclude?.length) {
        return `NOT IN (${exclude.map(literal).join(',')})`;
    }
    return '';
};
//# sourceMappingURL=helpers.js.map